/*
 *  main.c
 *  GenCurvefit
 *
 *  Created by andrew on 25/04/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */
#include "XOPStandardHeaders.h"
#include "multiopenfiles.h"

static int
Registermultiopenfiles(void)
{
	char* cmdTemplate;
	char* runtimeNumVarList;
	char* runtimeStrVarList;

	// NOTE: If you change this template, you must change the multiopenfilesRuntimeParams structure as well.
	cmdTemplate = "multiopenfiles/F=string/P=name/M=string";
	runtimeNumVarList = "V_flag";
	runtimeStrVarList = "S_filename";
	return RegisterOperation(cmdTemplate, runtimeNumVarList, runtimeStrVarList, sizeof(multiopenfilesRuntimeParams), (void*)Executemultiopenfiles, 0);
}

int
RegisterOperations(void)		// Register any operations with Igor.
{
	int result;
	
	// Register XOP1 operation.
	if (result = Registermultiopenfiles())
		return result;
	
	// There are no more operations added by this XOP.
	
	return 0;
}

/*	XOPEntry()

This is the entry point from the host application to the XOP for all
messages after the INIT message.
*/
static void
XOPEntry(void)
{	
	XOPIORecResult result = 0;
		
	switch (GetXOPMessage()) {
		// We don't need to handle any messages for this XOP.
	}
	SetXOPResult(result);
}

/*	main(ioRecHandle)

This is the initial entry point at which the host application calls XOP.
The message sent by the host must be INIT.

main does any necessary initialization and then sets the XOPEntry field of the
ioRecHandle to the address to be called for future messages.
*/
HOST_IMPORT int
main(IORecHandle ioRecHandle){
	int result = 0;
	
	XOPInit(ioRecHandle);							// Do standard XOP initialization.
	SetXOPEntry(XOPEntry);							// Set entry point for future calls.

	if(igorVersion < 610){
		SetXOPResult(IGOR_OBSOLETE);
		return EXIT_FAILURE;
	}
	
	if (result = RegisterOperations()) {
		SetXOPResult(result);
		return EXIT_FAILURE;
	}
	
	SetXOPResult(0);
	return EXIT_SUCCESS;
}