/*
	
GenCurvefit.c -- An XOP for curvefitting via Differential Evolution.
@copyright: Andrew Nelson and the Australian Nuclear Science and Technology Organisation 2007.

*/
#include "XOPStandardHeaders.h"			// Include ANSI headers, Mac headers, IgorXOP.h, XOP.h and XOPSupport.h


// Custom error codes
#define REQUIRES_IGOR_610 1 + FIRST_XOP_ERR
#define COULDNT_PARSE_FILTER 2 + FIRST_XOP_ERR

#pragma pack(2)	// All structures passed to Igor are two-byte aligned.
struct multiopenfilesRuntimeParams {
	// Flag parameters.

	// Parameters for /F flag group.
	int FFlagEncountered;
	Handle FFlagStrH;
	int FFlagParamsSet[1];

	// Parameters for /P flag group.
	int PFlagEncountered;
	char PFlagName[MAX_OBJ_NAME+1];
	int PFlagParamsSet[1];

	// Parameters for /M flag group.
	int MFlagEncountered;
	Handle MFlagStrH;
	int MFlagParamsSet[1];
		
	// Main parameters.

	// These are postamble fields that Igor sets.
	int calledFromFunction;					// 1 if called from a user function, 0 otherwise.
	int calledFromMacro;					// 1 if called from a macro, 0 otherwise.
};
typedef struct multiopenfilesRuntimeParams multiopenfilesRuntimeParams;
typedef struct multiopenfilesRuntimeParams* multiopenfilesRuntimeParamsPtr;
#pragma pack()		// Reset structure alignment to default.

int Executemultiopenfiles(multiopenfilesRuntimeParamsPtr p);